<div class="content-wrapper">

	<section class="content-header">

		<h1>

			Cuenta Deposito

			<small>modulo</small>

		</h1>

		<ol class="breadcrumb">

			<li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

			<li><a href="#">Mantenimiento</a></li>

			<li><a href="#">Ventas</a></li>

			<li class="active"></i> Cta. Deposito</li>

		</ol>

	</section>

	<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

		<div class="row">

			<div class="col-xs-12">

				<div class="box">

					<div class="box-header">

						<button id="btn_agregar" onClick="cuentadeposito_form('insertar')" class="btn btn-primary">Agregar</button>

						<button id="btn_actualizar" class="btn btn-default">Actualizar</button>

					</div>

				</div>

			</div>

		</div>

	</section>



	

	

	<!-- formulario de registro -->

			<div class="modal fade" id="div_cuentadeposito_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">

			<div class="modal-dialog "  role="document" >



			<div class="modal-content">



			<div class="modal-body div_cuentadeposito_form" >



			</div>

			<br />

			<br />

			</div>

			</div>

			</div>

			

	<!-- tabla de registros -->	

	<div id="div_cuentadeposito_tabla"></div>

	

	



</div>



<script type="text/javascript">



	function cuentadeposito_tabla()

	{	

		$.ajax({

			type: "POST",

			url: "../cuentadeposito/cuentadeposito_tabla.php",

			async:true,

			dataType: "html",                      

			data: ({

			//pro_est:	$('#cmb_fil_pro_est').val()

		}),

			beforeSend: function() {

				$('#div_cuentadeposito_tabla').addClass("ui-state-disabled");

			},

			success: function(html){

				$('#div_cuentadeposito_tabla').html(html);

			},

			complete: function(){			

				$('#div_cuentadeposito_tabla').removeClass("ui-state-disabled");

			}

		});     

	}



	function cuentadeposito_form(act,idf)

	{

		$('#div_cuentadeposito_form_dialog').modal();

		

		$.ajax({

			type: "POST",

			url: "../cuentadeposito/cuentadeposito_form.php",

			async:true,

			dataType: "html",                      

			data: ({

				action: act,

				cuecor_id:	idf,

				vista:	'cuentadeposito_tabla'

			}),

			beforeSend: function() {

				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	

				$('.div_cuentadeposito_form').html(div);	

			},

			success: function(html){

				$('.div_cuentadeposito_form').html(html);		

			}

		});

	}



	function eliminar_cuentadeposito(id){

		$('#msj_cuentadeposito').hide();  

		if(!confirm('¿Desea eliminar?'))

			return false;

		$.ajax({

			type: "POST",

			url: "../cuentadeposito/cuentadeposito_reg.php",

			dataType: "json",

			async:true,                     

			data:({

				action: "eliminar",

				cuecor_id:		id

			}),

			beforeSend: function() {

				$('#msj_cuentadeposito').html('Eliminando...');

				$('#msj_cuentadeposito').show(100);

			},

			success: function(data){

				$('#msj_cuentadeposito').html(data.cuen_msj);

				cuentadeposito_tabla();

			}

		});

	}



//

$(function() {

	

	$('#btn_actualizar').click(function() {

		$("#content").load("../cuentadeposito/cuentadeposito_vista.php");

	});

	

	$("#div_cuentadeposito_form_dialog").on('hidden.bs.modal', function(){

          	$("#content").load("../cuentadeposito/cuentadeposito_vista.php");

	});

		

	cuentadeposito_tabla();



	setTitle("CUENTA DEPOSITO - "+nombreEmpresa);	



	

});



</script>